View Issue Details

IDProjectCategoryView StatusLast Update
0022435FPCTextmode IDEpublic2019-02-06 03:43
Reporteralex biasiAssigned ToMichael Van Canneyt 
PrioritynormalSeveritytrivialReproducibilityalways
Status resolvedResolutionfixed 
PlatformIntel PCOSWindows 7OS Versionsp1
Product Version2.6.0Product Buildrelease 
Target Version3.2.0Fixed in Version3.3.1 
Summary0022435: keyboard shortcut for "lowercase word" (CTRL-K-E) produces wild chars in FP IDE
Descriptionwrite a line in the fp ide that is longer then 63 chars.
go to the first word in that line and press CTRL-K-E.
wild chars will appear at the end of the line.
 
strangely enough if pressing CTRL-K-F (uppercase word) the wild chars will disappear.
Steps To Reproducecopy this line (and make sure not to have any spaces at the beginning):
FUNCTION aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
 
move the cursor to the beginning of the line.
press CTRL-K-E.
 
something like this will appear:
function aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa ­³6 ókj ,{ò ϳ6
Additional Information- please delete issue 0022339 in section fpgui. I had missplaced it.
- btw. the key shortcuts for "lowercase word" and "uppercase word" in the user's guide (section 6.14, table 6.8) are swapped.
TagsNo tags attached.
Fixed in Revision40802
FPCOldBugId
FPCTarget
Attached Files
  • getWordArea.patch (513 bytes)
    Index: packages/ide/weditor.pas
    ===================================================================
    --- packages/ide/weditor.pas	(revision 40765)
    +++ packages/ide/weditor.pas	(working copy)
    @@ -5124,7 +5124,7 @@
       OK:=(S[StartPos] in WordChars);
       if OK then
         begin
    -       While (StartPos>0) and (S[StartPos-1] in WordChars) do
    +       While (StartPos>1) and (S[StartPos-1] in WordChars) do
              Dec(StartPos);
            While (EndPos<Length(S)) and (S[EndPos+1] in WordChars) do
              Inc(EndPos);
    
    getWordArea.patch (513 bytes)

Activities

Marģers

2019-01-05 01:49

reporter  

getWordArea.patch (513 bytes)
Index: packages/ide/weditor.pas
===================================================================
--- packages/ide/weditor.pas	(revision 40765)
+++ packages/ide/weditor.pas	(working copy)
@@ -5124,7 +5124,7 @@
   OK:=(S[StartPos] in WordChars);
   if OK then
     begin
-       While (StartPos>0) and (S[StartPos-1] in WordChars) do
+       While (StartPos>1) and (S[StartPos-1] in WordChars) do
          Dec(StartPos);
        While (EndPos<Length(S)) and (S[EndPos+1] in WordChars) do
          Inc(EndPos);
getWordArea.patch (513 bytes)

Michael Van Canneyt

2019-01-08 04:51

administrator   ~0113251

* Applied patch by Margers. Thanks for the patch !

Issue History

Date Modified Username Field Change
2012-07-15 07:57 alex biasi New Issue
2019-01-05 01:49 Marģers File Added: getWordArea.patch
2019-01-08 04:51 Michael Van Canneyt Fixed in Revision => 40802
2019-01-08 04:51 Michael Van Canneyt Note Added: 0113251
2019-01-08 04:51 Michael Van Canneyt Status new => resolved
2019-01-08 04:51 Michael Van Canneyt Fixed in Version => 3.3.1
2019-01-08 04:51 Michael Van Canneyt Resolution open => fixed
2019-01-08 04:51 Michael Van Canneyt Assigned To => Michael Van Canneyt
2019-01-08 04:51 Michael Van Canneyt Target Version => 3.2.0